Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelApis
/
{modelApiId}
/
versions
/
{modelApiVersionId}
/
instanceLogs
cURL
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/instanceLogs \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "logs": [
    {
      "log": "<string>",
      "streamType": "<string>",
      "tags": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "timeNano": 123,
      "timestamp": 123
    }
  ],
  "maxResults": 123,
  "modelId": "<string>",
  "modelVersionId": "<string>",
  "containerName": "<string>",
  "podName": "<string>",
  "sinceTimeNano": "<string>",
  "tail": true
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

The id of the Model API to retrieve the instance logs for.

modelApiVersionId
string
required

The id of the Model API Version to retrieve the instance logs for.

Query Parameters

podName
string

The pod name of the model API instance.

containerName
string

The container name of the model API instance.

sinceTimeNano
string

The epoch time in nanoseconds to start fetching from, such as "1543538813745986325". "0" by default and will typically be used for a timestamp-based offset log fetching strategy.

tail
boolean

Whether to fetch from tail or not.

maxResults
integer

The maximum number of logs to retrieve.

Response

200 - application/json

The instance logs for the given Model API Version.

logs
object[]
required

The instance logs.

maxResults
integer
required

The maximum number of logs to retrieve

modelId
string
required

The id of the Model API

modelVersionId
string
required

The id of the Model API Version

containerName
string

The name of the container the Model API Version is deployed to.

podName
string

The name of the pod the Model API Version is deployed to.

sinceTimeNano
string

The start date of the logs.

tail
boolean

Whether to fetch from tail or not